Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
-  package xml
  Definition Classes
    parser
- BracePair
- BracePatch
- Cbuf
- Change
- CommonTokens
- Deletion
- Insertion
- MarkupParsers
- Parsers
- ParsersCommon
- Patch
- Scanners
- ScannersCommon
- SymbolicXMLBuilder
- SyntaxAnalyzer
- Tokens
- TreeBuilder

c

scala.tools.nsc.ast.parser

# SymbolicXMLBuilder

###

#### abstract class SymbolicXMLBuilder extends AnyRef

This class builds instance of `Tree` that represent XML.

Note from martin: This needs to have its position info reworked. I don't understand exactly what's done here. To make validation pass, I set many positions to be transparent. Not sure this is a good idea for navigating XML trees in the IDE but it's the best I can do right now. If someone who understands this part better wants to give it a shot, please do!

Source
  SymbolicXMLBuilder.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
symbXMLBuilder
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SymbolicXMLBuilder
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SymbolicXMLBuilder(p: Parser, preserveWS: Boolean)

### Type Members

1.  case class TextAttache(pos: Global.Position, text: String) extends Product with Serializable

   Attachment for trees deriving from text nodes (Text, CData, entities).

   Attachment for trees deriving from text nodes (Text, CData, entities). Used for coalescing.

### Abstract Value Members

1.  abstract val global: Global

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SymbolicXMLBuilder toany2stringadd[SymbolicXMLBuilder] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SymbolicXMLBuilder, B)
   Implicit
     This member is added by an implicit conversion from SymbolicXMLBuilder toArrowAssoc[SymbolicXMLBuilder] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def Comment(txt: Global.Tree): Global.Tree
   Attributes
     protected
7.  def ProcInstr(target: Global.Tree, txt: Global.Tree): Global.Tree
   Attributes
     protected
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def charData(pos: Global.Position, txt: String): Global.Tree
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def comment(pos: Global.Position, text: String): Global.Tree
12.  def convertToTextPat(buf: collection.Seq[Global.Tree]): List[Global.Tree]
    Attributes
      protected
13.  def convertToTextPat(t: Global.Tree): Global.Tree
    Attributes
      protected
14.  def element(pos: Global.Position, qname: String, attrMap: Map[String, Global.Tree], empty: Boolean, args: collection.Seq[Global.Tree]): Global.Tree
15.  def ensuring(cond: (SymbolicXMLBuilder) => Boolean, msg: => Any): SymbolicXMLBuilder
    Implicit
      This member is added by an implicit conversion from SymbolicXMLBuilder toEnsuring[SymbolicXMLBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (SymbolicXMLBuilder) => Boolean): SymbolicXMLBuilder
    Implicit
      This member is added by an implicit conversion from SymbolicXMLBuilder toEnsuring[SymbolicXMLBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: => Any): SymbolicXMLBuilder
    Implicit
      This member is added by an implicit conversion from SymbolicXMLBuilder toEnsuring[SymbolicXMLBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): SymbolicXMLBuilder
    Implicit
      This member is added by an implicit conversion from SymbolicXMLBuilder toEnsuring[SymbolicXMLBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def entityRef(pos: Global.Position, n: String): Global.Tree
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
22.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
23.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SymbolicXMLBuilder toStringFormat[SymbolicXMLBuilder] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def group(pos: Global.Position, args: collection.Seq[Global.Tree]): Global.Tree

    Various node constructions.

26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def isEmptyText(t: Global.Tree): Boolean
28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  def makeText1(txt: Global.Tree): Global.Tree
30.  def makeTextPat(txt: Global.Tree): Global.Apply
31.  def makeXMLpat(pos: Global.Position, n: String, args: collection.Seq[Global.Tree]): Global.Tree

    To do

      attributes

32.  def makeXMLseq(pos: Global.Position, args: collection.Seq[Global.Tree]): Global.Block

    could optimize if args.length == 0, args.length == 1 AND args(0) is <: Node.

33.  def mkXML(pos: Global.Position, isPattern: Boolean, pre: Global.Tree, label: Global.Tree, attrs: Global.Tree, scope: Global.Tree, empty: Boolean, children: collection.Seq[Global.Tree]): Global.Tree

    Wildly wrong documentation deleted in favor of "self-documenting code."

    Wildly wrong documentation deleted in favor of "self-documenting code."

    Attributes
      protected
34.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  def parseAttribute(pos: Global.Position, s: String): Global.Tree
38.  def procInstr(pos: Global.Position, target: String, txt: String): Global.Tree
39.  def splitPrefix(name: String): (Option[String], String)

    Returns (Some(prefix) | None, rest) based on position of ':'

40.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
41.  final def text(pos: Global.Position, txt: String): Global.Tree
42.  def toString(): String
    Definition Classes
      AnyRef → Any
43.  def unparsed(pos: Global.Position, str: String): Global.Tree
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (SymbolicXMLBuilder, B)
   Implicit
     This member is added by an implicit conversion from SymbolicXMLBuilder toArrowAssoc[SymbolicXMLBuilder] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSymbolicXMLBuilder to any2stringadd[SymbolicXMLBuilder]

### Inherited by implicit conversion StringFormat fromSymbolicXMLBuilder to StringFormat[SymbolicXMLBuilder]

### Inherited by implicit conversion Ensuring fromSymbolicXMLBuilder to Ensuring[SymbolicXMLBuilder]

### Inherited by implicit conversion ArrowAssoc fromSymbolicXMLBuilder to ArrowAssoc[SymbolicXMLBuilder]

### Ungrouped